# cwltool.mutation

Support for InplaceUpdateRequirement.

## Classes

`MutationManager` | Lock manager for checking correctness of in-place update of files.

## Module Contents

class cwltool.mutation.MutationManager

  Lock manager for checking correctness of in-place update of files.

  Used to validate that in-place file updates happen sequentially, and that a file which is registered for in-place update cannot be read or updated by any other steps.

  generations: dict[str, _MutationState]
  register_reader(stepname, obj)
    Parameters:

      - stepname (str)

      - obj (cwl_utils.types.CWLObjectType)

    Return type:

      None

  release_reader(stepname, obj)
    Parameters:

      - stepname (str)

      - obj (cwl_utils.types.CWLObjectType)

    Return type:

      None

  register_mutation(stepname, obj)
    Parameters:

      - stepname (str)

      - obj (cwl_utils.types.CWLObjectType)

    Return type:

      None

  set_generation(obj)
    Parameters:

      obj (cwl_utils.types.CWLObjectType)

    Return type:

      None

  unset_generation(obj)
    Parameters:

      obj (cwl_utils.types.CWLObjectType)

    Return type:

      None